﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace BankomatPaymentEcr
{
    public partial class FormStart : Form
    {
        public FormStart()
        {
            InitializeComponent();
        }

        BankomatPaymentProvider provider = null;

        private void FormStart_Load(object sender, EventArgs e)
        {
            try
            {
                provider = new BankomatPaymentProvider();
                IntraSell_DLL.PaymentProviderRegistry.RegisterPaymentProvider(provider);
                IntraSell_DLL.FunctionsVars.SetVarValue("BARRECHNUNG_KEINE_EINGABE_BAR_GEGEBEN", "false");

                //Copy TimApi config because intrasell is installed in unknow directory 
                if (!System.IO.File.Exists("c:\\IntraSell_Net\\TimApi.cfg"))
                    System.IO.File.Copy("TimApi.cfg", "c:\\IntraSell_Net\\TimApi.cfg");
                if (System.IO.File.Exists("c:\\IntraSell_Net\\TimApi.cfg"))
                {
                    System.IO.File.Delete("TimApi.cfg");
                    System.IO.File.Copy("c:\\IntraSell_Net\\TimApi.cfg", "TimApi.cfg");
                }

            }
            catch (Exception ex)
            {
                MessageBox.Show("Bankomat Zahlung konnte nicht registriert werden! " + ex.Message);
            }
        }

        private void buttonBalance_Click(object sender, EventArgs e)
        {
            try
            {
                if (provider != null)
                {
                    provider.Balance();
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Bankomat Zahlung konnte nicht registriert werden! " + ex.Message);
            }
        }
    }
}
